Widget = {}
function Widget:Google()
 screen:blit(0,45,img_google)
 if curx >= 402 and curx <= 446 and cury >= 62 and cury <= 102 and menu_ok == false then
  screen:blit(0,45,img_google_OK)
  if pad:cross() then
   Android:Google(search)
  end
 end
 if curx >= 72 and curx <= 393 and cury >= 62 and cury <= 102 and menu_ok == false  then
  if pad:cross() then
   search = System.startOSK("Rechercher","Recherche Google")
  end
 end
 if y_notif == -246 and y_menu == 218 then
  screen:fontPrint(font,85,86,search)
 end
end

--images horloge 
H0 = Image.load("IMG/clock/0.png")
H1 = Image.load("IMG/clock/1.png")
H2 = Image.load("IMG/clock/2.png")
H3 = Image.load("IMG/clock/3.png")
H4 = Image.load("IMG/clock/4.png")
H5 = Image.load("IMG/clock/5.png")
H6 = Image.load("IMG/clock/6.png")
H7 = Image.load("IMG/clock/7.png")
H8 = Image.load("IMG/clock/7.png")
H9 = Image.load("IMG/clock/9.png")
Hpoint = Image.load("IMG/clock/point.png")
--Hfond = Image.load("IMG/clock/fond.png")
--fin
function Widget:Horloge(x,y)
if System.getTime(5) == "pm" and System.getTime(1) ~= "12" then
  H = System.getTime(1) + 12
else
  H = System.getTime(1)
end
if System.getTime(2) < 10 then
  M = System.getTime(2)
end
--fond
-- screen:blit(x-10,y-10,Hfond)
--heure 1
if H < 10 then
 screen:blit(x,y,H0)
elseif H >= 10 and H < 20 then
 screen:blit(x,y,H1)
else
 screen:blit(x,y,H2)
end
--heure 2
H_2 = string.sub(H,-1)
if H_2 == "1" then
 screen:blit(x+25,y,H1)
elseif H_2 == "2" then
 screen:blit(x+25,y,H2)
elseif H_2 == "3" then
 screen:blit(x+25,y,H3)
elseif H_2 == "4" then
 screen:blit(x+25,y,H4)
elseif H_2 == "5" then
 screen:blit(x+25,y,H5)
elseif H_2 == "6" then
 screen:blit(x+25,y,H6)
elseif H_2 == "7" then
 screen:blit(x+25,y,H7)
elseif H_2 == "8" then
 screen:blit(x+25,y,H8)
elseif H_2 == "9" then
 screen:blit(x+25,y,H9)
else
 screen:blit(x+25,y,H0)
end
-- :
screen:blit(x+50,y,Hpoint) 
-- minute 1
M_2 = string.sub(M,-1)
if M < 10 then
 screen:blit(x+75,y,H0)
elseif M >= 10 and M < 20 then
 screen:blit(x+75,y,H1)
elseif M >= 20 and M < 30 then
 screen:blit(x+75,y,H2)
elseif M >= 30 and M < 40 then
 screen:blit(x+75,y,H3)
elseif M >= 40 and M < 50 then
 screen:blit(x+75,y,H4)
elseif M >= 50 and M < 60 then
 screen:blit(x+75,y,H5)
elseif M == 60 then
 screen:blit(x+75,y,H1)
end
-- minute 2
if M_2 == "1" then
 screen:blit(x+100,y,H1)
elseif M_2 == "2" then
 screen:blit(x+100,y,H2)
elseif M_2 == "3" then
 screen:blit(x+100,y,H3)
elseif M_2 == "4" then
 screen:blit(x+100,y,H4)
elseif M_2 == "5" then
 screen:blit(x+100,y,H5)
elseif M_2 == "6" then
 screen:blit(x+100,y,H6)
elseif M_2 == "7" then
 screen:blit(x+100,y,H7)
elseif M_2 == "8" then
 screen:blit(x+100,y,H8)
elseif M_2 == "9" then
 screen:blit(x+100,y,H9)
else
 screen:blit(x+100,y,H0)
end
--FIN 
end
function Widget:Batterie()
Android:Bat(50,50)
end
